<template>
  <h2>List of breeds</h2>
  <ul v-if="breeds">
    <li v-for="(variants, index) in breeds">
      <span>{{ index }}</span>
      <ul v-if="variants.length > 0">
        <li v-for="variant in variants">{{ variant }}</li>
      </ul>
    </li>
  </ul>
  <!--  <button @click="getDogsList">Get list of breeds</button>-->
</template>

<script setup>
import {ref, onMounted} from 'vue'

const breeds = ref(null)

async function getDogsList() {
  const data = await fetch('https://api.thedogapi.com/v1/breeds', {
    type: 'GET'
  }).then(response => response.json())
  console.log(data)
  if (data.status === 'success') {
    breeds.value = data.message
  }
}

onMounted(() => {
  getDogsList()
})
</script>
